package net.minecraft.world;

public enum InteractionResult {
    SUCCESS, 
    CONSUME, 
    PASS, 
    FAIL;
    
    public boolean consumesAction() {
        return this == InteractionResult.SUCCESS || this == InteractionResult.CONSUME;
    }
    
    public boolean shouldSwing() {
        return this == InteractionResult.SUCCESS;
    }
}
